package com.pcloud.book.applet.biz;

import com.pcloud.common.page.PageBeanNew;


public interface AppletRecordAggrStatisBiz {

    PageBeanNew getAggrStatis(Long wechatUserId,String keyword, Integer sourceType, Integer rankType, Integer currentPage, Integer numPerPage);

    /**
     * mySql 数据同步到 clickHouse
     */
    void fixAppletRecordDataSync4CH(String createDate);

    /**
     * 更新缓存
     */
    void updateAggrStatisCache();

    /**
     * 同步数据并更新缓存
     */
    void syncDataAndUpdateCache(String date);


    /**
     * 更新H5资源广场
     * @author：zhuyajie
     * @date：2021/5/13 15:31
     *  * @param null
     */
    void updateH5Resource();
    /**
     * H5资源页
     * @author：zhuyajie
     * @date：2021/5/13 15:33
     *  * @param null
     */
    PageBeanNew getResource4H5(Long wechatUserId, Long officialAccountsId, String keyword, Integer sourceType, Integer currentPage, Integer numPerPage);

    /**
     * 平台端资源推荐
     * @author：zhuyajie
     * @date：2021/7/9 16:17
     *  * @param null
     */
    PageBeanNew getResource4H54Pcloud(Integer currentPage, Integer numPerPage, String query, Integer sourceFrom);
}
